namespace GestionPersonalWeb.Models
{
    public class UserState
    {
        private readonly object _lock = new object();
        private string _token;
        private string _NombreUsu;
        private bool _Mostrar;
        private int _currentPage = 1; 


        public string Token
        {
            get
            {
                lock (_lock)
                {
                    return _token;
                }
            }
            set
            {
                lock (_lock)
                {
                    _token = value;
                }
            }
        }
        public string NombreUsu
        {
            get
            {
                lock (_lock)
                {
                    return _NombreUsu;
                }
            }
            set
            {
                lock (_lock)
                {
                    _NombreUsu = value;
                }
            }
        }
        public bool Mostrar
        {
            get
            {
                lock (_lock)
                {
                    return _Mostrar;
                }
            }
            set
            {
                lock (_lock)
                {
                    _Mostrar = value;
                }
            }
        }

        public int CurrentPage
        {
            get { lock (_lock) { return _currentPage; } }
            set { lock (_lock) { _currentPage = value; } }
        }
    }
}
